%if 0%{?fedora}%{?rhel} <= 6
    %global scl ruby193
    %global scl_prefix ruby193-
%endif
%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name openshift-origin-frontend-nodejs-websocket
%global rubyabi 1.9.1
%global appdir %{_var}/lib/openshift

Summary:       OpenShift NodeJS Websocket frontend plugin
Name:          rubygem-%{gem_name}
Version: 0.4.2.1
Release:       1%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           http://openshift.redhat.com
Source0:       http://mirror.openshift.com/pub/openshift-origin/source/%{name}/rubygem-%{gem_name}-%{version}.tar.gz
%if 0%{?fedora} >= 19
Requires:      ruby(release)
%else
Requires:      %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
Requires:      %{?scl:%scl_prefix}rubygems
Requires:      rubygem(openshift-origin-node)
Requires:      rubygem(openshift-origin-node)
Requires:      rubygem(openshift-origin-frontend-apachedb)
Requires:      openshift-origin-node-proxy
%if 0%{?fedora}%{?rhel} <= 6
BuildRequires: %{?scl:%scl_prefix}build
BuildRequires: scl-utils-build
%endif
%if 0%{?fedora} >= 19
BuildRequires: ruby(release)
%else
BuildRequires: %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %version

%description
Provides the NodeJS Websocket plugin for OpenShift web frontends.


%prep
%setup -q

%build
%{?scl:scl enable %scl - << \EOF}
mkdir -p ./%{gem_dir}
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}/etc/openshift/node-plugins.d
cp %{buildroot}/%{gem_instdir}/conf/openshift-origin-frontend-nodejs-websocket.conf.example %{buildroot}/etc/openshift/node-plugins.d/

mkdir -p "%{buildroot}%{appdir}/.httpd.d"
echo '{}' > "%{buildroot}%{appdir}/.httpd.d/routes.json"


%files
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%{gem_cache}
%attr(0640,root,apache) %config(noreplace) %{appdir}/.httpd.d/routes.json
/etc/openshift/node-plugins.d/

%changelog
* Wed Dec 07 2016 thrasher-redhat <rthrashe@redhat.com> 0.4.2.1-1
- Bug 1194029 - add multiple app aliases in a single httpd reload
  (agrimm@redhat.com)

* Tue Oct 14 2014 Jason DeTiberus <jdetiber@redhat.com> 0.4.1.0-1
- augment version for OSE


* Thu Feb 27 2014 Adam Miller <admiller@redhat.com> 0.4.1-1
- bump_minor_versions for sprint 41 (admiller@redhat.com)

* Wed Feb 12 2014 Adam Miller <admiller@redhat.com> 0.3.3-1
- Bug 1063703: Assume ws if websocket is true. (mrunalp@gmail.com)

* Mon Feb 10 2014 Adam Miller <admiller@redhat.com> 0.3.2-1
- Cleaning specs (dmcphers@redhat.com)
- Merge pull request #4149 from mfojtik/fixes/bundler
  (dmcphers+openshiftbot@redhat.com)
- Changes for supporting frontend paths in node web proxy. (mrunalp@gmail.com)
- Switch to use https in Gemfile to get rid of bundler warning.
  (mfojtik@redhat.com)

* Wed Dec 04 2013 Adam Miller <admiller@redhat.com> 0.3.1-1
- bump_minor_versions for sprint 37 (admiller@redhat.com)

